FLANG

Public Types | Static Public Attributes | List of all members
Fortran::evaluate::host::FortranTypeHelper< HOST_T > Struct Template Reference

## Public Types
using | HostTypeMapping = common::MapTemplate< HostType, AllIntrinsicTypes, std::tuple >
using | Type = std::conditional_t< index >=0, std::tuple_element_t<(index >=0) ? index :0, AllIntrinsicTypes >, UnknownType >

## Static Public Attributes
static constexpr int | index

## Member Data Documentation

## ◆ index

template<typename HOST_T >

constexpr int Fortran::evaluate::host::FortranTypeHelper< HOST_T >::index
| static constexpr

Initial value:
{
IndexInTupleHelper<HOST_T, HostTypeMapping>::value}

The documentation for this struct was generated from the following file:

- lib/Evaluate/host.h